import request from "@/utils/request";

// 专利列表
export function patentList(params) {
  return request({
    url: "/business/casPatent/list",
    method: "get",
    params,
  });
}
// 专利信息添加
export function patentAdd(data) {
  return request({
    url: "/business/casPatent",
    method: "post",
    data,
  });
}
// 专利信息详情
export function patentDetail(id) {
  return request({
    url: `/business/casPatent/${id}`,
    method: "get",
  });
}
// 专利信息修改
export function patentEdit(data) {
  return request({
    url: "/business/casPatent",
    method: "put",
    data,
  });
}
// 专利信息删除
export function patentDelete(ids) {
  return request({
    url: `/business/casPatent/${ids}`,
    method: "delete",
  });
}
// 专利上下架... 不用了
export function patentShelf(data) {
  return request({
    url: "/admin/v1/technology/patent/shelf",
    method: "post",
    data,
  });
}
// 认领专利列表
export function expertPatent(data) {
  return request({
    url: "/admin/v1/manage/expert/patent",
    method: "post",
    data,
  });
}
// 认领
export function expertPatentBind(data) {
  return request({
    url: "/admin/v1/manage/expert/patent/bind",
    method: "post",
    data,
  });
}
// 取消认领
export function expertPatentUnbind(data) {
  return request({
    url: "/admin/v1/manage/expert/patent/unbind",
    method: "post",
    data,
  });
}
